=== noise/lib/Makefile ===
VPATH=../src/

.PHONY: all clean
all: libnoise.a libnoise.la libnoise.so.0.3
	-cp $? .

clean:
	-rm libnoise.*
