## libnoise 1.0.0

=== debian/changelog ===
libnoise (1.0.0) unstable; urgency=low

  * New upstream release (fixes: #445765)

 -- Federico Di Gregorio <fog@debian.org>  Wed, 21 Nov 2007 10:56:44 +0100

libnoise (0.9.0+1.0.0-RC1-1) unstable; urgency=low

  * New upstream release.

 -- Federico Di Gregorio <fog@debian.org>  Sat, 02 Sep 2006 20:57:07 +0200

libnoise (0.9.0-3) unstable; urgency=low

  * Added to Build-depends: dbs, libtool (Closes: #321979).

 -- Federico Di Gregorio <fog@debian.org>  Mon, 22 Aug 2005 01:49:29 +0200

libnoise (0.9.0-2) unstable; urgency=low

  * Update debian/copyright to include licensing information for the example
    code (GPL instead of LGPL.)

 -- Federico Di Gregorio <fog@debian.org>  Fri,  5 Aug 2005 23:31:33 +0200

libnoise (0.9.0-1) unstable; urgency=low

  * Initial release (Closes: #313610)

 -- Federico Di Gregorio <fog@debian.org>  Mon, 25 Jul 2005 20:22:58 +0200
