=== debian/control ===
Source: libnoise
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.0.0), dbs, unzip, libtool
Standards-Version: 3.7.2
Maintainer: Federico Di Gregorio <fog@debian.org>

Package: libnoise0
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Description: a portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.

Package: libnoise-dev
Section: devel
Architecture: any
Depends: libnoise0 (= ${binary:Version})
Description: a portable, coherent noise-generating library for C++
 libnoise is a portable C++ library that is used to generate coherent noise,
 a type of smoothly-changing noise. libnoise can generate Perlin noise,
 ridged multifractal noise, and other types of coherent-noise. Coherent noise
 is often used by graphics programmers to generate natural-looking textures,
 planetary terrain, and other things.
 .
 This package contains the headers and static libraries needed to build
 programs using libnoise.
