=== debian/rules ===
#!/usr/bin/make -f
#
# Code taken from debhelper samples, copyright 1997 to 1999 by Joey Hess.
# Also some code taken from dbs example Makefile.

DEB_ROOT := $(shell pwd)/debian
TAR_DIR  := 

#export DH_VERBOSE=1


# include dbs to unpack source and apply patches
include /usr/share/dbs/dbs-build.mk

# override the unpacked target to allow for zip files
$(unpacked): $(STAMP_DIR)/created
	mkdir -p $(STAMP_DIR)/sources $(SOURCE_DIR) $(STAMP_DIR)/log/sources
	@for f in `ls ./*.zip | LC_COLLATE=C sort | sed 's,^\./,,g'`; do \
	  stampfile=$(STAMP_DIR)/sources/`basename $$f`; \
	  log=$(STAMP_DIR)/log/sources/`basename $$f`; \
	  if [ ! -e $$stampfile ]; then \
	    echo -n "Extracting source $$f ... "; \
	    if unzip -n -d $(BUILD_TREE) $$f > $$log 2>&1; then \
	      echo successful.; \
	      touch $$stampfile; \
	    else q\
	      echo failed!; \
	      exit 1; \
	    fi; \
	  else \
	    echo Already unpacked $$f.; \
	  fi; \
	done
	touch $@

INSTALL = /usr/bin/install
INSTALL_PROGRAM = /usr/bin/install -m 755

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

FV := 0.3
SV := 0

build: $(patched) $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/build-stamp:
	dh_testdir
	cd $(BUILD_TREE)/noise && make

clean:
	dh_testdir
	dh_testroot
	rm -fr $(STAMP_DIR)
	rm -fr $(BUILD_TREE)
	-rmdir build-tree
	find . -name "*~" | xargs rm -f
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.so.* \
	  debian/libnoise0/usr/lib
	dh_link -p libnoise0 usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so.$(SV)

	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.la \
	  debian/libnoise-dev/usr/lib
	$(INSTALL) $(BUILD_TREE)/noise/lib/libnoise.a \
	  debian/libnoise-dev/usr/lib
	dh_link -p libnoise-dev usr/lib/libnoise.so.$(FV) usr/lib/libnoise.so
	$(INSTALL) $(BUILD_TREE)/noise/include/*.h \
	  debian/libnoise-dev/usr/include/libnoise/
	$(INSTALL) $(BUILD_TREE)/noise/include/module/*.h \
	  debian/libnoise-dev/usr/include/libnoise/module/
	$(INSTALL) $(BUILD_TREE)/noise/include/model/*.h \
	  debian/libnoise-dev/usr/include/libnoise/model/
	$(INSTALL) $(BUILD_TREE)/noise/doc/html/* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/html/
	$(INSTALL) $(BUILD_TREE)/noiseutils.* \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/noiseutils/
	$(INSTALL) $(BUILD_TREE)/texture*.cpp $(BUILD_TREE)/worms.cpp \
	  debian/libnoise-dev/usr/share/doc/libnoise-dev/examples/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
