## libnoise 1.0.0%2Brepack

=== debian/changelog ===
libnoise (1.0.0+repack-0+nmu1) unstable; urgency=low

  * Non-maintainer upload fo remove build-dependency on dbs (closes: #576065);
    upload this NMU to DELAYED/10 queue.
  * Switch to the '3.0 (quilt)' source format.
  * Repack original tarballs (there are three of them: main, noiseutils,
    and examples) from zip into tar.bz2.
  * Use debhelper v9 and its tiny rules format.
  * Bump Standards-Version to 3.9.4.
  * Remove an article from short package description (lintian).
  * Fix binary packages' sections to match override file.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Sep 2013 17:21:09 +0200

libnoise (1.0.0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: undefined reference to `main'". Applied patch by Nobuhiro
    Iwamatsu. (Closes: #526547)

 -- Bastian Venthur <venthur@debian.org>  Tue, 23 Feb 2010 16:54:00 +0100
