## libnoise 1.0.0+repack

=== debian/changelog ===
libnoise (1.0.0+repack-3) unstable; urgency=medium

  * QA upload.

  * Added patch metadata.
  * Converted d/copyright to machine readable format.
  * Adjusted d/rules to get rid of execute bit on example C++ code.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 24 Apr 2024 15:59:29 +0200

libnoise (1.0.0+repack-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Moved to debhelper compat level 13.
  * Updated Standards-Version from 3.9.8 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 09 Apr 2024 15:15:30 +0200

libnoise (1.0.0+repack-1) unstable; urgency=medium

  * QA upload.
  * Orphaned package on request from maintainer.
  * Added homepage info in d/control.
  * Updated Standards-Version from 3.9.4 to 3.9.8.
  * Added first draft d/watch file.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 15 Sep 2016 20:12:12 +0000

libnoise (1.0.0+repack-0+nmu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761766.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:40:30 +0000
